#ifndef MINMAX_H
#define MINMAX_H

#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <math.h>
#include <sstream>
#include <QMainWindow>
#include <QFileDialog>
#include <QString>
#include <QDebug>
#include <fstream>
#include <QTime>
#include <QMessageBox>
#include <time.h>
#include <QDesktopServices>

#include <iostream> //potom nebude potreba - smazat

typedef std::pair<std::string, double> probabilityPair;

/**
 * @brief The MinMax class holds common functions, mostly for computing max or min
 * @autor Jakub Srom
 * @required all includes
 */
class MinMax
{
public:
    MinMax();

    std::string max(std::vector <probabilityPair> vec);
    double countMax(std::vector <double> column);
    double countMin(std::vector <double> column);

    std::string returnOneClassFromMany(std::vector <std::string> pomMinTest);

};

#endif // MINMAX_H
